Sync Groups - List Logs

同期グループ ログのコレクションを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/syncGroups/{syncGroupName}/logs?api-version=2025-01-01&startTime={startTime}&endTime={endTime}&type={type}&continuationToken={continuationToken}

URI パラメーター

名前 / 必須 型 説明
databaseName
path True

string

データベースの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

serverName
path True

string

サーバーの名前。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

syncGroupName
path True

string

同期グループの名前。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

endTime
query True

string

この時刻より前に生成されたログを取得します。

startTime
query True

string

この時刻より後に生成されたログを取得します。

type
query True

SyncGroupsType

取得するログの種類。

continuationToken
query

string

この操作の継続トークン。

応答

名前 型 説明
200 OK

SyncGroupLogListResult

Azureの運用は無事に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

Get sync group logs

要求のサンプル

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/syncgroupcrud-65440/providers/Microsoft.Sql/servers/syncgroupcrud-8475/databases/syncgroupcrud-4328/syncGroups/syncgroupcrud-3187/logs?api-version=2025-01-01&startTime=2017-01-01T00:00:00&endTime=2017-12-31T00:00:00&type=All

応答のサンプル

{
  "value": [
    {
      "type": "Success",
      "operationStatus": "SchemaRefreshSuccess",
      "source": "syncgroupcrud-8475.database.windows.net/hub",
      "timestamp": "2017-05-30T07:16:08.25Z",
      "tracingId": "c0480c8e-6269-424e-9404-b00efce0ebae",
      "details": "Schema information obtained successfully."
    },
    {
      "type": "Error",
      "operationStatus": "SchemaRefreshFailure",
      "source": "syncgroupcrud-8475.database.windows.net/member",
      "timestamp": "2017-05-30T07:03:37.5733333Z",
      "tracingId": "cd3aa28c-0c31-471f-8a77-f1b21c908cbd",
      "details": "Getting schema information for the database failed with the exception \"Failed to connect to server .\nInner exception: SqlException Error Code: -2146232060 - SqlError Number:53, Message: A network-related or instance-specific error occurred while establishing a connection to SQL Server. The server was not found or was not accessible. Verify that the instance name is correct and that SQL Server is configured to allow remote connections. (provider: Named Pipes Provider, error: 40 - Could not open a connection to SQL Server) \nInner exception: The network path was not found\n For more information, provide tracing ID ‘cd3aa28c-0c31-471f-8a77-f1b21c908cbd’ to customer support.\""
    }
  ]
}

定義

名前 説明
ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

SyncGroupLogListResult

同期グループ ログのプロパティの一覧。

SyncGroupLogProperties

Azure SQL Database同期グループログのプロパティ。

SyncGroupLogType

同期グループ ログの種類。

SyncGroupsType

取得するログの種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 型 説明
error

ErrorDetail

エラー オブジェクト。

SyncGroupLogListResult

同期グループ ログのプロパティの一覧。

名前 型 説明
nextLink

string (uri)

項目の次のページへのリンク

value

SyncGroupLogProperties[]

このページのSyncGroupLogProperties項目

SyncGroupLogProperties

Azure SQL Database同期グループログのプロパティ。

名前 型 説明
details

string

同期グループ ログの詳細。

operationStatus

string

同期グループ ログの OperationStatus。

source

string

同期グループ ログのソース。

timestamp

string (date-time)

同期グループ ログのタイムスタンプ。

tracingId

string (uuid)

同期グループ ログの TracingId。

type

SyncGroupLogType

同期グループ ログの種類。

SyncGroupLogType

同期グループ ログの種類。

値 説明
All

すべて

Error

エラー

Warning

Warnung

Success

成功

SyncGroupsType

取得するログの種類。

値 説明
All

すべて

Error

エラー

Warning

Warnung

Success

成功